Unity Upgrade Schema Question

Unanswered Question
May 28th, 2008
User Badges:

I have a upgrade scenario and am wondering about the AD Schema.


Current version is 4.05 and I am going to version 4.2. Both verisons will have Unified Messaging.


The Unity 4.2 will be installed on a new server. The installation will involve installing 4.05 on the new server, doing a DIRT backup/restore, then upgrading the new 4.05 to 4.2.


Current Exchange server for 4.05 is exchange 2000


The exchange 4.2 is going to be connected to an Exchange 2003 cluster.


Both versions are connected to the same AD forest.


Since the 4.05 is running exchange 2k and the 4.2 is going to be connected to exchange 2k3, do I still run the AD Schema setup for version 4.2? I suspect I do, but will that affect the operation of the Unity 4.05 that is still running?


  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
Loading.
Tommer Catlin Wed, 05/28/2008 - 07:36
User Badges:
  • Green, 3000 points or more

You can run the schema update with no problems. All newer schema updates are backwards compatible with prior versions of Unity 4.x. Run the schema update and you should be ready to go.


cheers

Tray Stoutmeyer Wed, 05/28/2008 - 07:51
User Badges:
  • Cisco Employee,

Remember to run the ADSchemaSetup.exe from a Schema Master on that AD forest. Also the SchemaUpdate will only add the additional attributes needed for the new version of Unity. It doesn't take away any attributes and, as said previously, it is backward compatible.


Tray

Actions

This Discussion